QuattroFormulaManager Class Reference documentation

Public Types | Public Member Functions | Private Attributes | List of all members
QuattroFormulaManager Class Reference

a class to read formula in a wb1-wb3, qpw file More...

`#include <QuattroFormula.h>`

## Public Types
typedef std::function< bool(std::shared_ptr< WPSStream > const &stream, long endPos, QuattroFormulaInternal::CellReference &ref, Vec2i const &cPos, int cSheet)> | CellReferenceFunction

## Public Member Functions
| QuattroFormulaManager (QuattroFormulaManager::CellReferenceFunction const &readCellReference, int version)
| constructor, version=1: means .wb1-3, version=2 means .qpw
void | addDLLIdName (int id, librevenge::RVNGString const &name, bool func1)
| add a dll's correspondance between an id and a name
bool | readFormula (std::shared_ptr< WPSStream > const &stream, long endPos, Vec2i const &pos, int sheetId, std::vector< WKSContentListener::FormulaInstruction > &formula, std::string &error) const
| reads a formula

## Private Attributes
std::shared_ptr< QuattroFormulaInternal::State > | m_state
| the formula state

## Detailed Description

a class to read formula in a wb1-wb3, qpw file

## Member Typedef Documentation

## ◆ CellReferenceFunction

typedef std::function<bool(std::shared_ptr<WPSStream> const &stream, long endPos, QuattroFormulaInternal::CellReference &ref, Vec2i const &cPos, int cSheet)> QuattroFormulaManager::CellReferenceFunction

## Constructor & Destructor Documentation

## ◆ QuattroFormulaManager()

QuattroFormulaManager::QuattroFormulaManager | ( | QuattroFormulaManager::CellReferenceFunction const & | readCellReference,
|  | int | version )

constructor, version=1: means .wb1-3, version=2 means .qpw

## Member Function Documentation

## ◆ addDLLIdName()

void QuattroFormulaManager::addDLLIdName | ( | int | id,
|  | librevenge::RVNGString const & | name,
|  | bool | func1 )

add a dll's correspondance between an id and a name

## ◆ readFormula()

bool QuattroFormulaManager::readFormula | ( | std::shared_ptr< WPSStream > const & | stream,
|  | long | endPos,
|  | Vec2i const & | pos,
|  | int | sheetId,
|  | std::vector< WKSContentListener::FormulaInstruction > & | formula,
|  | std::string & | error ) const

reads a formula

## Member Data Documentation

## ◆ m_state

std::shared_ptr<QuattroFormulaInternal::State> QuattroFormulaManager::m_state
| private

the formula state

Referenced by addDLLIdName(), and readFormula().

The documentation for this class was generated from the following files:

- QuattroFormula.h
- QuattroFormula.cpp